package com.fzm.common.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author tangtuo
 * @date 2022/1/19 15:33
 */
@Data
@TableName("tb_order")
public class Order {

    @ApiModelProperty("主键")
    private Long id;

    @ApiModelProperty("订单名")
    private String orderName;

    @ApiModelProperty("支付场景 1-nft发行  2-版权申请")
    private Integer payScene;

    @ApiModelProperty("产品id  nft主键或者版权主键")
    private Integer productId;

    @ApiModelProperty("用户id")
    private Integer userId;

    @ApiModelProperty("订单价格-单位(分)")
    private Long fee;

    @ApiModelProperty("0-支付中  1-支付成功  2-订单已关闭 3-退款中 4-已退款 5-订单已取消")
    private Integer orderStatus;

    @ApiModelProperty("支付类型 1-微信支付 2-支付宝支付")
    private Integer payType;

    @ApiModelProperty("创建时间")
    private Date createDate;

    @ApiModelProperty("最后一次修改时间")
    private Date updateDate;
}
