package com.fzm.common.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
@TableName("tb_refund")
public class Refund {

    private Long id;

    @ApiModelProperty("商品订单编号")
    private Long orderId;

    @ApiModelProperty("支付系统交易编号")
    private String transactionId;

    @ApiModelProperty("状态")
    private String refundId;

    @ApiModelProperty("退款状态  1- 退款中 2-退款成功 3-退款失败")
    private Integer refundStatus;

    @ApiModelProperty("当前退款单的退款入账方")
    private String userReceivedAccount;

    @ApiModelProperty("支付金额(分)")
    private Long fee;

    @ApiModelProperty("商品订单编号")
    private String successTime;

    @ApiModelProperty("通知参数")
    private String content;

    @ApiModelProperty("退款发起渠道 1-用户发起  2-后台运营发起")
    private Integer channel;

    private Date createDate;

    private Date updateDate;
}