package com.fzm.common.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author tangtuo
 * @date 2022/1/24 11:03
 */
@AllArgsConstructor
@Getter
public enum WxPayStatus {

    SUCCESS("SUCCESS", "支付成功"),

    REFUND("REFUND", "转入退款"),

    NOTPAY("NOTPAY", "未支付"),

    CLOSED("CLOSED", "已关闭"),

    REVOKED("REVOKED", "已撤销（仅付款码支付会返回）"),

    USERPAYING("USERPAYING", "用户支付中（仅付款码支付会返回）"),

    PAYERROR("PAYERROR", "支付失败（仅付款码支付会返回）");

    private String status;
    private String desc;


}
