package com.fzm.common.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.fzm.common.entity.Charge;
import com.fzm.common.mapper.ChargeMapper;
import com.fzm.common.service.ChargeService;
import org.springframework.stereotype.Service;

/**
 * @author tangtuo
 * @date 2022/1/25 10:11
 */
@Service
public class ChargeServiceImpl extends ServiceImpl<ChargeMapper, Charge> implements ChargeService {


    @Override
    public Charge getByType(Integer type) {
        QueryWrapper<Charge> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("type", type);
        return getOne(queryWrapper);
    }

}
